Page MenuHomePhabricator

[Regression] Exiting edit collection description loses changes
Closed, ResolvedPublic

Description

Go to one of your collections listed on Special:Gather that is not your watchlist and click edit.

Inside the edit screen go to edit the description (cog icon)
Type text in title/description
Click the back icon in the top left

Actual: You lose the changes - clicking the cog again the things you inputted are lost
Expected: it should warn you about losing save changes using a confirm prompt. When the user says no they are returned to the editor screen

Note: this is a good opportunity to generalise the code in EditOverlay and TalkOverlay

Event Timeline

Jdlrobson updated the task description. (Show Details)
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson added a project: Gather.
Jdlrobson moved this task to Needs triage on the Gather board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2015, 7:10 PM
KLans_WMF triaged this task as Normal priority.Jul 1 2015, 3:43 PM
KLans_WMF added subscribers: rmoen, KLans_WMF.

@rmoen do you think this is minor enough to pull into this sprint and fix/enhance?

Jdlrobson added a comment.EditedJul 1 2015, 4:00 PM

In theory this should be relatively simple but I am not sure about urgency.

Jdlrobson moved this task from Needs triage to Must haves on the Gather board.Jul 3 2015, 6:33 PM
Jdlrobson moved this task from Must haves to Bug backlog on the Gather board.Jul 6 2015, 6:48 PM
Jhernandez renamed this task from Exiting edit collection description loses changes to [Regression] Exiting edit collection description loses changes.Jul 8 2015, 10:13 AM
Jhernandez moved this task from To Triage to 2016-17 Q2 on the Readers-Web-Backlog board.
Aklapper updated the task description. (Show Details)Dec 17 2015, 12:03 PM
Aklapper added a project: Regression.

Jon, please edit the task description so that it's clear what the student has to do. Currently the instructions only contain the steps to reproduce the bug, hence the student might think the task is reproducing the bug.

Jdlrobson updated the task description. (Show Details)Feb 2 2016, 6:26 PM
Haritha28 added a subscriber: Haritha28.
This comment was removed by Haritha28.
Nemo_bis removed a subscriber: Nemo_bis.Mar 13 2016, 9:13 AM

Change 281248 had a related patch set uploaded (by Haritha28):
Exiting edit collection loses changes(WIP)

https://gerrit.wikimedia.org/r/281248

I've given some feedback on the patch!

This comment was removed by Haritha28.
Haritha28 added a comment.EditedApr 7 2016, 1:26 PM

@Jdlrobson : I have uploaded a new patch which seems to work under the conditions you have said. Please have look at it and say if any more changes have to be made.

@Jdlrobson : Hello! Could you review the new patch as per your comments.

@Jdlrobson : I have uploaded a new patch set, as you have said along with the changes suggested by Joaquin.

Change 281248 merged by jenkins-bot:
Exiting edit collection loses changes

https://gerrit.wikimedia.org/r/281248

Haritha28 closed this task as Resolved.Apr 13 2016, 4:54 PM